#### D.15.4.41 derivationNeq

Procedure from library `difform.lib` (see difform_lib).

Usage:
  phi != psi; phi,psi derivation

Return:
  0, if phi and psi are equal - 1, otherwise

Remarks:
  The comparison is done by difformEqu

Note:
  derivations can also be compared to polynomials

Example:

    LIB "difform.lib";
    ring R = 0,(u,v),lp;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDu, dDv, du, dv are available.
    list L_1; L_1[1] = list(dv,du); L_1[2] = list(u,-v);
    /////////////////
    // Derivations //
    /////////////////
    derivation phi_1 = L_1; phi_1;
    ==>  Omega_R^1 --> R
    ==>        du |--> -v
    ==>        dv |--> u
    ==>
    ==>
    derivation phi_poly = u*v; phi_poly;
    ==>  Omega_R^1 --> R
    ==>        du |--> uv
    ==>        dv |--> uv
    ==>
    ==>
    ///////////////////////////////
    // Comparison of derivations //
    ///////////////////////////////
    phi_1 != phi_1;
    ==> 0
    phi_1 != phi_poly;
    ==> 1
    phi_poly != u*v;
    ==> 0
    kill Omega_R,du,dv,phi_1,phi_poly;

See also: derivationEqu.

User manual for Singular version 4.4.1, 2025, generated by texi2html.